Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.value
Class Helper

    java.lang.Object
      org.jboss.portal.common.value.Helper

    public class Helper

extends java.lang.Object

Version:
  $Revision: 7200 $
Author:
  Julien Viet

Field Summary
`static Converter` | `BOOLEAN_CONVERTER`
`static boolean[]` | `EMPTY_BOOLEAN_ARRAY`
`static int[]` | `EMPTY_INT_ARRAY`
`static java.lang.Object[]` | `EMPTY_OBJECT_ARRAY`
`static java.lang.String[]` | `EMPTY_STRING_ARRAY`
`static Converter` | `FLOAT_CONVERTER`
`static Converter` | `INTEGER_CONVERTER`

Constructor Summary
`Helper()`

Method Summary
`static boolean` | `toBoolean(java.lang.String value)`
`static int` | `toInt(java.lang.String value)`
`static java.lang.String` | `toString(boolean value)`
`static java.lang.String` | `toString(int value)`
`static java.lang.String` | `toString(java.lang.Object value, Converter converter)`
`static java.lang.String[]` | `toStringArray(boolean[] values)`
`static java.lang.String[]` | `toStringArray(int[] values)`
`static java.lang.String[]` | `toStringArray(java.lang.Object[] values, Converter converter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_INT_ARRAY

    public static final int[] EMPTY_INT_ARRAY

### EMPTY_BOOLEAN_ARRAY

    public static final boolean[] EMPTY_BOOLEAN_ARRAY

### EMPTY_OBJECT_ARRAY

    public static final java.lang.Object[] EMPTY_OBJECT_ARRAY

### EMPTY_STRING_ARRAY

    public static final java.lang.String[] EMPTY_STRING_ARRAY

### FLOAT_CONVERTER

    public static final Converter FLOAT_CONVERTER

### INTEGER_CONVERTER

    public static final Converter INTEGER_CONVERTER

### BOOLEAN_CONVERTER

    public static final Converter BOOLEAN_CONVERTER

Constructor Detail

### Helper

    public Helper()

Method Detail

### toInt

    public static int toInt(java.lang.String value)
                     throws NullConversionException,
                            FormatConversionException

  Throws:
    `NullConversionException`
    `FormatConversionException`

### toBoolean

    public static boolean toBoolean(java.lang.String value)
                             throws NullConversionException,
                                    FormatConversionException

  Throws:
    `NullConversionException`
    `FormatConversionException`

### toString

    public static java.lang.String toString(int value)

### toString

    public static java.lang.String toString(boolean value)

### toString

    public static java.lang.String toString(java.lang.Object value,
                                            Converter converter)
                                     throws NullConversionException,
                                            FormatConversionException,
                                            java.lang.IllegalArgumentException

  Throws:
    `NullConversionException`
    `FormatConversionException`
    `java.lang.IllegalArgumentException`

### toStringArray

    public static java.lang.String[] toStringArray(int[] values)
                                            throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### toStringArray

    public static java.lang.String[] toStringArray(boolean[] values)
                                            throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### toStringArray

    public static java.lang.String[] toStringArray(java.lang.Object[] values,
                                                   Converter converter)
                                            throws NullConversionException,
                                                   FormatConversionException,
                                                   java.lang.IllegalArgumentException

  Throws:
    `NullConversionException`
    `FormatConversionException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD